de.vc.io.rtf.parser

## Class Token

- java.lang.Object
- - de.vc.io.rtf.AbstractRTFToken
  - - de.vc.io.rtf.parser.Token

-     public class Token
      extends AbstractRTFToken

  An RTFToken is a atomar unit of an rtf stream.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `control`
    `boolean` | `controlHasNumber`
    `int` | `controlNr`
    `ScannerState` | `state`
    `int` | `type`

    - ### Fields inherited from class de.vc.io.rtf.AbstractRTFToken

      `TYPE_BINARY, TYPE_BRACE_CLOSED, TYPE_BRACE_OPEN, TYPE_CONTROL, TYPE_ESCAPE_CHARACTER, TYPE_NEXT_CONTROL_OPTIONAL, TYPE_NON_BREAKING_HYPHEN, TYPE_NON_BREAKING_SPACE, TYPE_NULL, TYPE_OPTIONAL_HYPHEN, TYPE_TEXT, TYPE_UNICODE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Token()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getControl()`
    `java.lang.Integer` | `getControlNumber()`
    `int` | `getLevel()`
    `java.lang.String` | `getText()`
    `java.lang.String` | `getText(java.lang.String encoding)`
    `byte[]` | `getTextBuffer()`
    `int` | `getTextBufferLen()`
    `int` | `getType()`
    `boolean` | `isControlWithNumber()`
    `boolean` | `isCtrlEnabled()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class de.vc.io.rtf.AbstractRTFToken

      `getCtrlDesc`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### type

          public int type

    - #### control

          public java.lang.String control

    - #### controlHasNumber

          public boolean controlHasNumber

    - #### controlNr

          public int controlNr

    - #### state

          public ScannerState state

  - ### Constructor Detail

    - #### Token

          public Token()

  - ### Method Detail

    - #### getControl

          public java.lang.String getControl()

      Specified by:
        `getControl` in class `AbstractRTFToken`

    - #### getControlNumber

          public java.lang.Integer getControlNumber()

      Specified by:
        `getControlNumber` in class `AbstractRTFToken`

    - #### isCtrlEnabled

          public boolean isCtrlEnabled()

      Overrides:
        `isCtrlEnabled` in class `AbstractRTFToken`

    - #### getType

          public int getType()

      Specified by:
        `getType` in class `AbstractRTFToken`

    - #### isControlWithNumber

          public boolean isControlWithNumber()

    - #### getText

          public java.lang.String getText()

      Specified by:
        `getText` in class `AbstractRTFToken`

    - #### getLevel

          public int getLevel()

      Specified by:
        `getLevel` in class `AbstractRTFToken`

    - #### getText

          public java.lang.String getText(java.lang.String encoding)

    - #### getTextBuffer

          public byte[] getTextBuffer()

    - #### getTextBufferLen

          public int getTextBufferLen()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `AbstractRTFToken`

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.